# Visualization
TKService
AlienImage

# AlienImage_SGIRGBFileHeader Struct Reference

`#include <AlienImage_SGIRGBFileHeader.hxx>`

## Data Fields

unsigned short | imagic
unsigned short | type
unsigned short | dim
unsigned short | xsize
unsigned short | ysize
unsigned short | zsize
unsigned int | min
unsigned int | max
unsigned int | wastebytes
char | name [80]
unsigned int | colormap
int | file
unsigned short | flags
short | dorev
short | x
short | y
short | z
short | cnt
unsigned short * | ptr
unsigned short * | base
unsigned short * | tmpbuf
unsigned int | offset
unsigned int | rleend
unsigned int * | rowstart
int * | rowsize

## Field Documentation

unsigned short* AlienImage_SGIRGBFileHeader::base

short AlienImage_SGIRGBFileHeader::cnt

unsigned int AlienImage_SGIRGBFileHeader::colormap

unsigned short AlienImage_SGIRGBFileHeader::dim

short AlienImage_SGIRGBFileHeader::dorev

int AlienImage_SGIRGBFileHeader::file

unsigned short AlienImage_SGIRGBFileHeader::flags

unsigned short AlienImage_SGIRGBFileHeader::imagic

unsigned int AlienImage_SGIRGBFileHeader::max

unsigned int AlienImage_SGIRGBFileHeader::min

char AlienImage_SGIRGBFileHeader::name[80]

unsigned int AlienImage_SGIRGBFileHeader::offset

unsigned short* AlienImage_SGIRGBFileHeader::ptr

unsigned int AlienImage_SGIRGBFileHeader::rleend

int* AlienImage_SGIRGBFileHeader::rowsize

unsigned int* AlienImage_SGIRGBFileHeader::rowstart

unsigned short* AlienImage_SGIRGBFileHeader::tmpbuf

unsigned short AlienImage_SGIRGBFileHeader::type

unsigned int AlienImage_SGIRGBFileHeader::wastebytes

short AlienImage_SGIRGBFileHeader::x

unsigned short AlienImage_SGIRGBFileHeader::xsize

short AlienImage_SGIRGBFileHeader::y

unsigned short AlienImage_SGIRGBFileHeader::ysize

short AlienImage_SGIRGBFileHeader::z

unsigned short AlienImage_SGIRGBFileHeader::zsize

The documentation for this struct was generated from the following file:

- AlienImage_SGIRGBFileHeader.hxx